View Issue Details

IDProjectCategoryView StatusLast Update
0002400FEM[FreeCAD] Featurepublic2016-05-13 03:57
Reporteryanncad Assigned Tonormandc  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSUbuntu 14.04OS Version
Product Version[FreeCAD] 0.16 
Target VersionFixed in Version[FreeCAD] 0.16 
Summary0002400: ccx note when installing PPA
DescriptionWhen installing the daily PPA, we see the note below:
"Note: the ccx package brings CalculiX support to the FEM workbench, and needs to be installed separately."
(see screenshot)

However, there is no "ccx" nor "calculix" package in the Ubuntu repositories.
TagsFEM

Activities

yanncad

2016-01-09 18:36

reporter  

screenshot.png (65,334 bytes)
screenshot.png (65,334 bytes)

yanncad

2016-01-09 19:00

reporter   ~0006704

Note: there will be a "calculix-ccx" package in Ubuntu 16.04.

See:
http://packages.ubuntu.com/search?keywords=ccx

yanncad

2016-01-09 20:38

reporter   ~0006706

Just discovered there is a 'ccx' package in the PPA.
If it's the same as the "calculix-ccx" of 16.04, then it would be good to use the same package name in the PPA (and update the message during the PPA install)

normandc

2016-03-07 04:45

manager   ~0006893

The ccx package in the PPAs predates any Debian or Ubuntu package, which explains why it does not have the same name. Our ccx version is 2.7 while the xenial package is based on 2.9. The logical choice will be to use the xenial package when 16.04 comes out, and repackage it for all the older Ubuntu versions our PPAs support. We will first need to confirm that the xenial package is compatible with the FEM workbench.

berndhahnebach

2016-03-21 05:45

developer   ~0006919

First off all check http://www.freecadweb.org/wiki/index.php?title=FEM_Install This is where I put all informations in the regard of installation and FEM workbench. If the ubuntu package is based on this package from debian strech it is compatible with FreeCADS FEM. https://packages.debian.org/search?suite=stretch&arch=any&searchon=names&keywords=calculix-ccx

normandc

2016-04-23 18:21

manager   ~0006997

This has been fixed in 0.16.6700 by setting calculix-ccx as a "Recommends" rather than a "Suggests" in the /debian/control file. This way the calculix-ccx package gets installed automatically, unless the user has changed his package manager settings.

normandc

2016-04-23 18:24

manager   ~0006998

The calculix-ccx package from Ubuntu 16.04 was rebuilt in the Stable Releases PPA for Ubuntu 12.04, 14.04 and 15.10. Thus it gets installed with FreeCAD from the same PPA.

Issue History

Date Modified Username Field Change
2016-01-09 18:36 yanncad New Issue
2016-01-09 18:36 yanncad File Added: screenshot.png
2016-01-09 19:00 yanncad Note Added: 0006704
2016-01-09 20:38 yanncad Note Added: 0006706
2016-03-07 04:45 normandc Note Added: 0006893
2016-03-07 04:46 normandc Category Bug => Feature
2016-03-07 04:49 normandc Assigned To => normandc
2016-03-07 04:49 normandc Status new => assigned
2016-03-21 05:45 berndhahnebach Note Added: 0006919
2016-03-21 16:43 berndhahnebach Tag Attached: FEM
2016-03-22 10:49 berndhahnebach Project FreeCAD => FEM
2016-04-23 18:21 normandc Note Added: 0006997
2016-04-23 18:24 normandc Note Added: 0006998
2016-04-23 18:24 normandc Resolution open => fixed
2016-04-23 18:24 normandc Product Version 0.15 => 0.16
2016-04-23 18:24 normandc Fixed in Version => 0.16
2016-04-23 18:25 normandc Status assigned => resolved
2016-05-13 03:57 yorik Status resolved => closed